package com.shibofu.spring.db1.dao;

import com.shibofu.spring.dto.ArchiveDetailDto;
import com.shibofu.spring.vo.ArchiveDetailVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveDetailDao
 * @Description 操作文件表接口
 * @Author linjj
 * @Date 2024/1/19 9:01
 * @Version 1.0
 */
@Mapper
public interface ArchiveDetailDao {

    boolean addArchiveDetail(@Param("list") List<ArchiveDetailDto> list);

    List<ArchiveDetailVo> getSubAssort(String subAssort);

    int delSubAssort(String subAssort);

}
