package com.shibofu.spring.db1.dao;

import com.shibofu.spring.vo.ArchiveMasterVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @InterfaceName ArchiveMasterDao
 * @Description
 * @Author linjj
 * @Date 2024/1/18 9:47
 * @Version 1.0
 */
@Mapper
public interface ArchiveMasterDao {
    //查询24小时内出院病历
    List<ArchiveMasterVo> PollingPacs();

    List<ArchiveMasterVo> PollingPacsAnXu();


    //查询168小时内出院病历
    List<ArchiveMasterVo> PacsEveryWeekPolling();


    List<ArchiveMasterVo> makeUpPacsByMasterId(String masterId);

    int updatePacsCompenSate(String masterId);
    String selectPacsPush();

    String getIdbyJzh(String jzh);

}
