package com.shibofu.spring.db1.service;

import com.shibofu.spring.util.Msg;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @InterfaceName PollingService
 * @Description pacs轮询接口
 * @Author linjj
 * @Date 2024/1/18 9:26
 * @Version 1.0
 */

public interface PacsPollingService {



    /**
     * @description: 定时查询每天出院患者
     * @author linjj
     * @date: 2024/1/18 9:29
     */
    void PacsEveryDayPolling() ;


    Msg pacsAnxu();

    /**
     * @description: 定时查询每星期出院患者
     * @author linjj
     * @date: 2024/1/18 9:29
     */
    Msg PacsEveryWeekPolling();
    /**
     * @description: pacs按需采集
     * @author linjj
     * @date: 2024/4/29 10:36
     */
    Msg makeUpPacsByMasterId(String masterId);
    /**
     * @description: 轮询pacs提交采集病历
     * @author linjj
     * @date: 2024/4/29 10:36
     */
    Msg makeUpPacsPush();
}
