package com.shibofu.spring.controller;

import com.shibofu.spring.db1.service.PacsPollingService;
import com.shibofu.spring.db2.service.MoneyService;
import com.shibofu.spring.db3.service.CostListService;
import com.shibofu.spring.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author potter.fu
 * @date 2018-12-07 15:38
 */
@RestController
@RequestMapping("/makeUp")
public class MoneyController {
    @Autowired
    private PacsPollingService pacsPollingService;
    @Autowired
    private CostListService costListService;

    @GetMapping("/makeUpByPacsAndTime")
    public String makeUpByNeed()  {
        pacsPollingService.pacsAnxu();
        return "采集完成";
    }

    @GetMapping("/makeUpPacsByMasterId")
    public Msg makeUpPacsByMasterId(String masterId)  {
        return pacsPollingService.makeUpPacsByMasterId(masterId);
    }

    @GetMapping("/costList")
    public String getCostList(){
        costListService.collectionCostList();
        return "采集完成";
    }
}
