package com.shibofu.spring.quartz;



import com.shibofu.spring.db1.dao.ArchiveMasterDao;
import com.shibofu.spring.db1.service.PacsPollingService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @description: pacs定时任务轮询
 * @author linjj
 * @date: 2024/41/29 9:22
 */
public class PacsPushQuartz extends QuartzJobBean {

    @Resource
    private PacsPollingService pacsPollingService;


    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext)  {
        //查询1条需要采集的记录
        pacsPollingService.makeUpPacsPush();
    }
}
